<?php

/**
 * @file
 * Hooks provided by the Auto Username module.
 */

/**
 * Alter the generated username.
 *
 * @param \Drupal\user\UserInterface $account
 * @param array $data
 *   The array will have two elements:
 *   - 'username' => string $username,
 *   - 'account' => UserInterface $account
 *
 * @return void
 */
function hook_auto_username_alter(array &$data) {
  // Alter the auto generated username as required.
  $account = $data['account'];
  if ($account->hasRole('administrator')) {
    $data['username'] .= '-admin';
  }
  else {
    $data['username'] .= '-user';
  }

}
